/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ProdPuntoVenta;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdPuntoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ProdPuntoVenta prodPuntoVenta = (ProdPuntoVenta) o;

        Listcell lc = null;

        PuntoVenta puntoVenta = prodPuntoVenta.getPuntoVenta();
        if (puntoVenta != null) {
            lc = new Listcell(puntoVenta.getNombpuntoventa());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodPuntoVenta);
    }
}
